# valDict
A very simple computer readable online dictionary based entirely off of data from **[Wiktionary](https://en.wiktionary.org/wiki/Wiktionary:Main_Page)** that uses data made with **[Wiktextract](https://github.com/tatuylonen/wiktextract)**.

valDict can be served using the built in react server that comes with this repo, or your choice of web server.


## Building
Firstly, you need the "large_dir" option enabled in your filesystem and "dir_index" will also help speed things up, they can be enabled with
```bash

tune2fs -O large_dir /dev/DEVICE
tune2fs -O dir_index /dev/DEVICE

#DEVICE can be found with lsblk

```

IN ADDITION, you need like... ALOT of Inodes like 2-3 million, i highly recommend making a DEDICATED ext4 partition JUST FOR this dictionary that has an outrageous inode count

personally i recommend a 32-36GB that is 32,000,000,000 bytes  / 3,000,000 goal inodes = 10,666 bytes per inode (waow that is crazy)
this is a decently efficent way to patition the format while still leaving a very decent amount of space left for extra files, or whatever future expansion may be required

building valDict is very easy, just clone the repo and run: `./downloadDict.sh` then run `./cleanbuild.sh` (beware, building takes a LONGGGG time... (has to write 20gb~ worth of files))
RUN AT OWN RISK BE CAREFUL CAREFUL CAREFUL