curl https://gitea.apexfight.net/apex/valDict/releases/download/6%2F24%2F25/kaikki.org-dictionary-English.jsonl.gz | gzip -dc > kaikki.org-dictionary-English.jsonl


echo calculating sha256 sum of download...

sha256sum kaikki.org-dictionary-English.jsonl > downloadsum

# correct sum
echo 5c8f1d50d4bf93113ffad1b2799d12757b3bf82d29ca5d2fbe1368f05befa91c  kaikki.org-dictionary-English.jsonl > correctsum


echo Diff of downloaded sum to correct sum:
diff ./correctsum ./downloadsum

sleep 1

echo Cleaning up...
rm downloadsum correctsum

echo Size of dictionary:
du -sh kaikki.org-dictionary-English.jsonl 